import { SwitchOrgCode } from '/@/api/sys/user';
import { AccountInfo } from '/@/api/tigerapi/model/systemModel';
import { FormSchema } from '/@/components/Table';
import { useUserStore } from '/@/store/modules/user';
import { useGlobSetting } from '/@/hooks/setting';

const globSetting = useGlobSetting();
export const appFormDept: FormSchema[] = [
  {
    field: 'dept',
    label: '',
    component: 'TreeSelect',
    componentProps: {
      fieldNames: {
        label: 'deptName',
        key: 'id',
        value: 'deptCode',
      },
      placeholder: '请选择据点',
      getPopupContainer: () => document.body,
      onChange: async (e) => {
        const userInfo = useUserStore().getToken;
        const org = useUserStore().getUserInfo.prodCode;
        // globSetting.useOrg == 'Y'
        //   ? useUserStore().getUserInfo.orgCode
        //   : useUserStore().getUserInfo.prodCode;
        const res = await SwitchOrgCode(userInfo, e);
        if (org != e) {
          location.reload();
        }
      },
    },
    // required: true,
  },
];
